//
//  helloCTMView.m
//  helloCTM
//
//  Created by kunii on 09/02/26.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "helloCTMView.h"
#import <math.h>

@implementation helloCTMView


- (id)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        // Initialization code
    }
    return self;
}

static void drawString(CGContextRef context, int inValue) 
{
	UIFont *font = [UIFont systemFontOfSize:24]; 
	NSString *str = [NSString stringWithFormat:@"%d", inValue];
	if (inValue == 2) {
		CGContextSaveGState(context);
		CGContextScaleCTM(context, 2.0, 2.0);
	}
	CGContextSetShadow(context, CGSizeMake(10,10), 20.0);
	[str drawAtPoint:CGPointMake(-6.0, -100.0) withFont:font]; 
	if (inValue == 2)
		CGContextRestoreGState(context);
}

- (void)drawRect:(CGRect)rect {
	CGContextRef context = UIGraphicsGetCurrentContext() ;
	CGContextTranslateCTM(context, rect.size.width / 2, rect.size.height / 2);
	CGContextRotateCTM(context, -90.0 / 360.0 * (M_PI * 2.0));
	drawString(context, 1);
	for (int i = 1; i < 10; i++) {
		CGContextRotateCTM(context, (180.0 / 9.0) / 360.0 * (M_PI * 2.0));
		drawString(context, i + 1);
	}
}


- (void)dealloc {
    [super dealloc];
}


@end
